The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от opennews (??) on 26-Апр-16, 09:15 
Проект Debian объявил (https://www.debian.org/News/2016/20160425) о завершении цикла штатной поддержки дистрибутива Debian 7 Wheezy, который был выпущен (https://www.opennet.ru/opennews/art.shtml?num=36858) три года назад. В дальнейшем обновления с устранением уязвимостей для Debian 7 Wheezy будут выпускаться в рамках программы  расширенной поддержки (LTS), которая продлится до 31 мая 2018 года.


Выпуск обновлений для LTS-ветки осуществляется отдельной группой разработчиков LTS Team (https://wiki.debian.org/LTS/), сформированной из энтузиастов и представителей компаний, заинтересованных в длительной поставке обновлений для Debian. Обновления будут выпускаться только для архитектур i386 и amd64. Кроме того, длительный срок поддержки не будет распространяться на некоторые пакеты, (https://anonscm.debian.org/cgit/collab-maint/debian-security...) например, на web-приложения для которых невозможно и нет смысла осуществлять поддержку в течение 5 лет (для продолжения использования таких пакетов рекомендуется задействовать бэкпорты (https://wiki.debian.org/Backports)).

Среди неподдерживаемых пакетов можно отметить chromium-browser,
iceape, ruby-rails-2.3, ruby-*-2.3, redmine, typo3-src, tomcat6, openjdk-6 и virtualbox. Также будут внесены некоторые изменения (https://wiki.debian.org/LTS/Wheezy) в состав пакетов, например, вместо устаревшего OpenJDK 6 по умолчанию будет предлагаться  OpenJDK 7, а вместо Apache Tomcat 6.x будет предложен Tomcat 7.x.


Проверить наличие в системе неподдерживемых пакетов можно при помощи утилиты check-support-status, входящей в состав пакета debian-security-support (https://packages.debian.org/search?keywords=debian-security-...). В отличие от LTS-ветки Squeeze, для получения LTS-обновлений пользователям Wheezy  не нужно (https://wiki.debian.org/LTS/Using) подключать дополнительный репозиторий "wheezy-lts" в файле sources.list, обновления решено доставлять через штатные репозитории.

Напомним, что незначительный и непредсказуемый срок поддержки Debian, который в среднем составлял три года и зависел от активности разработки нового выпуска, был одним из главных препятствий, мешающих внедрению Debian на предприятиях. С введением в практику LTS-выпусков данное препятствие устранено и время поддержки Debian доведено до пяти лет со дня релиза, что аналогично LTS-выпускам Ubuntu, но в два раза меньше, чем Red Hat Enterprise Linux и SUSE Linux Enterprise, которые поддерживаются 10 лет.


URL: https://www.debian.org/News/2016/20160425
Новость: https://www.opennet.ru/opennews/art.shtml?num=44311

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


4. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +1 +/
Сообщение от Константавр (ok) on 26-Апр-16, 09:47 
а где их роллинг? Заглох?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

5. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от botman (ok) on 26-Апр-16, 10:10 
Перед релизом Wheezy и заглох.
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

25. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +2 +/
Сообщение от Аноним (??) on 27-Апр-16, 12:32 
Sid-то? Так его еще прошлым летом сломали и так до сих пор до конца и не починили. Надо в Debian Policy прописать - кто коммитит в sid - обязан держать его на десктопе. Иначе толку не будет.
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

6. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –17 +/
Сообщение от Аноним (??) on 26-Апр-16, 10:14 
> только для i386 и amd64

унылость дебиан бьёт рекорды. жаль, славный был дистр

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

9. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –1 +/
Сообщение от Аноним (??) on 26-Апр-16, 10:18 
Полковник использует debian? Если нет, то вали от сюда.
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

12. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –1 +/
Сообщение от botman (ok) on 26-Апр-16, 10:42 
Типа пользовался? Testing вообще с Linux 4.5, Gnome 3.20.1, и всем недавано вышедшим софтом. Ну и есть Debian 8: https://www.debian.org/releases/stable/i386/ch02s01
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

15. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –1 +/
Сообщение от Аноним (??) on 26-Апр-16, 11:25 
у тс был намёк на поддержку архитектур, как я понял
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

16. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –1 +/
Сообщение от botman (ok) on 26-Апр-16, 11:49 
по ссылке ходил?
Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

17. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –1 +/
Сообщение от Аноним (??) on 26-Апр-16, 12:30 
пройти и удивиться кросскомпилу?
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

18. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от Diozan (??) on 26-Апр-16, 13:29 
А что не так с Дебианом?
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

20. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от Клыкастый (ok) on 26-Апр-16, 14:05 
> А что не так с Дебианом?

он хотел i686 вместо i386

хотя конечно вряд ли это сверхактуальная хотелка.

Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

22. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +2 +/
Сообщение от Аноним (??) on 26-Апр-16, 15:53 
КО намекает, что название i386 в ABI не то же самое что архитектура i386.
Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

24. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –1 +/
Сообщение от Клыкастый (ok) on 27-Апр-16, 10:23 
> КО намекает, что название i386 в ABI не то же самое что архитектура i386.

тогда вообще непонятно что он хотел


Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

28. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +3 +/
Сообщение от phaoost email(ok) on 28-Апр-16, 09:42 
в нём стало слишком много поттеринга
Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

29. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от Andrey Mitrofanov on 28-Апр-16, 10:47 
> в нём стало слишком много поттеринга

Не так: "Кончился (см.новость выше) Debian без празднослоняющегося. Скорбим."

Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

23. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +1 +/
Сообщение от Michael Shigorin email(ok) on 26-Апр-16, 17:59 
>> только для i386 и amd64
> унылость дебиан бьёт рекорды. жаль, славный был дистр

О, а на какой архитектуре Вам лично потребовалась долгоиграющая поддержка, которой во времена "славный был дистр", скорее всего, ещё не было?  Прям заинтриговали.

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

32. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от Andrey Mitrofanov on 02-Июн-16, 10:34 
>>> только для i386 и amd64
>> унылость дебиан бьёт рекорды. жаль, славный был дистр
> О, а на какой архитектуре Вам лично потребовалась долгоиграющая поддержка, которой во
> времена "славный был дистр", скорее всего, ещё не было?  Прям
> заинтриговали.

Михаил, увидишь того https://bits.debian.org/2016/06/debian-7-wheezy-lts-now-supp... унылого анонима, скажи пусть танцует.

Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

8. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от Аноним (??) on 26-Апр-16, 10:17 
Пффф CentOS6 будет поддерживаться до 2022. А там посмотрим куда валить.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

19. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +1 +/
Сообщение от dmitrmax (ok) on 26-Апр-16, 13:56 
Чего тянуть до 2022? Валить можно уже прямо сейчас на кладбище, к некрофилам )
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

26. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –3 +/
Сообщение от Вареник on 28-Апр-16, 04:46 
К тому времени Вы просто не найдете живой материнки, для которой ядро и дрова вашего LTS будут актуальными. Добро пожаловать в мир запланированного устаревания вещей.
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

10. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –1 +/
Сообщение от бедный буратино (ok) on 26-Апр-16, 10:38 
backports-sloppy будет активно поддерживаться?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

30. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от Andrey Mitrofanov on 28-Апр-16, 15:25 
> backports-sloppy будет активно поддерживаться?

Я хотел уточнить, где ты эти bp-sloppy видел? Я вот в поисках, но _давно_ про sloppy не слышал (кроме навешивания оного на свои бэкпорты из sid-а в oldstable).

В последних DSA (знаю, там же где-то ложны быть DSA-"lts"... ((https://lists.debian.org/debian-lts-announce/2016/04/threads... )) это ещё "оснновные"; знаю, что не бэкпорты) -

DSA-3554 xen - обновление безопасности
DSA-3553 varnish - security update
DSA-3555 imlib2 - обновление безопасности
---25 апоеля = LTS наступил
DSA-3556 libgd2 - security update
DSA-3557 mysql-5.5 - обновление безопасности
DSA-3558 openjdk-7 - обновление безопасности


В первых трёх ("до") oldstable не упоминается в 1, во вторых трёх ("после") - в 2 из 3ёх. ((xen, mozilla, ?openjdk - то ли не для LTS, то ли "чуть прозже"?))

Впечатление, что Бен бросит собирать ядро для с большим облегчением. Хотя в squeeze-lts он неспешно делал это (afair) за деньги спонсора. Может я и вредничаю. //Ушёл вики читать

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

31. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от Andrey Mitrofanov on 28-Апр-16, 15:51 
>> backports-sloppy будет активно поддерживаться?
> Я хотел уточнить, где ты эти bp-sloppy видел? Я вот в поисках,
> и вредничаю. //Ушёл вики читать

"Нашёл". Надо было сразу и новость, и вики, и документацию читать.
И про openjdk написали, и про DSA-"lts" прояснили.

+++
http://mirror.yandex.ru/debian/dists/oldstable-backports-sloppy/

Его нет на packages.d.o, вот я его и "не видел". //Прям хоть свой p.d.o городи--

Скачал Packages.xz (28880 байт) на посмотреть. geoip, hedgewars, collectd, haproxy, pdns, wesnoth-1.12,  _162_ пакета.

Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

11. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –6 +/
Сообщение от kernel (??) on 26-Апр-16, 10:39 
Ого, 7-ка до 18 года ХРИПЕТЬ будет...
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

13. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  –1 +/
Сообщение от kernel (??) on 26-Апр-16, 10:42 
а там глядишь и Джесси-ку ЭлТээС-кой объявят...
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

14. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +3 +/
Сообщение от Аноним (??) on 26-Апр-16, 11:19 
> Red Hat Enterprise Linux и SUSE Linux Enterprise, которые поддерживаются 10 лет.

А говорили что в debian старьё

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

21. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от Аноним (??) on 26-Апр-16, 14:14 
Это Редхатовцы и Сусеводы так тонко троллили
Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

27. "Debian 7 Wheezy объявлен LTS-выпуском и будет поддерживаться..."  +/
Сообщение от Вареник on 28-Апр-16, 04:48 
>> Red Hat Enterprise Linux и SUSE Linux Enterprise, которые поддерживаются 10 лет.
> А говорили что в debian старьё

Окаменелые какашки конкурентов гораздо окаменелее ))

Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру